**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/19.1/vault-objects/deep-copy-object-record.md

# Deep Copy Object Record



Deep Copy copies an object record, including all of the record’s related child and grandchild records. A single deep copy cannot copy more than 10,000 records at a time.

See [Copying Object Records](https://platform.veevavault.help/en/lr/32218) for details on required access permissions.

You can perform a regular copy an object record using the create object endpoint with the `source_record_id` field.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_ID}/actions/deepcopy" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The name of the parent object to copy. For example, `product__v`. |
| `{object_record_ID}` | The ID of the specific object record to copy. |
</FieldTable>

## Body {#body}

In the body, pass in any fields to override the copied fields. For example, add the `abbreviation__c` field to override the copied value for abbreviation.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/json" \
https://myvault.veevavault.com/api/v16.0/vobjects/product__v/00P000000000202/actions/deepcopy

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "job_id": 26001,
  "url": "/api/v16.0/services/jobs/26001"
}

```
</CodeExample>

---

**Previous:** [Remove Users & Groups from Roles on Object Records](/commercial/vault-api/api-reference/19.1/vault-objects/object-roles/remove-users-groups-from-roles-on-object-records)  
**Next:** [Retrieve Results of Deep Copy Job](/commercial/vault-api/api-reference/19.1/vault-objects/retrieve-results-of-deep-copy-job)